FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005252115 BUILD_VERSION=v4.2.34 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=34 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.34-202005252115 
ENV __doozer=merge OS_GIT_COMMIT=c8633ae OS_GIT_VERSION=4.2.34-202005252115-c8633ae SOURCE_DATE_EPOCH=1583516880 SOURCE_GIT_COMMIT=c8633ae9973bf7a6cb61dd00cb5558325cade8ac SOURCE_GIT_TAG=c8633ae SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

WORKDIR /go/src/github.com/prometheus/node_exporter
COPY . .
RUN if yum install -y prometheus-promu; then export BUILD_PROMU=false; fi && make build

FROM openshift/ose-base:ubi7
ENV __doozer=update BUILD_RELEASE=202005252115 BUILD_VERSION=v4.2.34 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=34 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.34-202005252115 
ENV __doozer=merge OS_GIT_COMMIT=c8633ae OS_GIT_VERSION=4.2.34-202005252115-c8633ae SOURCE_DATE_EPOCH=1583516880 SOURCE_GIT_COMMIT=c8633ae9973bf7a6cb61dd00cb5558325cade8ac SOURCE_GIT_TAG=c8633ae SOURCE_GIT_URL=https://github.com/openshift/node_exporter 

COPY --from=builder /go/src/github.com/prometheus/node_exporter/node_exporter /bin/node_exporter

RUN yum install -y virt-what && yum clean all && rm -rf /var/cache/*
COPY text_collectors/virt.sh /node_exporter/collectors/init/

EXPOSE      9100
USER        nobody
ENTRYPOINT  [ "/bin/node_exporter" ]

LABEL \
        io.k8s.display-name="Node Exporter" \
        io.k8s.description="Prometheus exporter for hardware and OS metrics exposed by *NIX kernels, written in Go with pluggable metric collectors" \
        io.openshift.tags="openshift,node" \
        maintainer="The Prometheus Authors <prometheus-developers@googlegroups.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-node-exporter" \
        com.redhat.component="golang-github-prometheus-node_exporter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        version="v4.2.34" \
        release="202005252115" \
        io.openshift.build.commit.id="c8633ae9973bf7a6cb61dd00cb5558325cade8ac" \
        io.openshift.build.source-location="https://github.com/openshift/node_exporter" \
        io.openshift.build.commit.url="https://github.com/openshift/node_exporter/commit/c8633ae9973bf7a6cb61dd00cb5558325cade8ac"

